package com.hfkj.service.meal;

import com.alibaba.fastjson.JSONArray;
import com.hfkj.entity.BsMealTableOrder;
import com.hfkj.entity.BsTradeOrder;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMealTableOrderService
 * @author: HuRui
 * @date: 2023/11/30
 **/
public interface BsMealTableOrderService {

    /**
     * 编辑数据
     * @param mealTableOrder
     */
    void editData(BsMealTableOrder mealTableOrder);

    /**
     * 查询当前桌台订单
     * @param serialNumber
     * @return
     */
    BsMealTableOrder getCurrentTableOrder(String serialNumber);

    /**
     * 查询订单
     * @param orderNo
     * @return
     */
    BsMealTableOrder getTableOrderByOrderNo(String orderNo);

    /**
     * 查询订单
     * @param payOrderNo
     * @return
     */
    BsMealTableOrder getTableOrderByPayOrderNo(String payOrderNo);

    /**
     * 查询订单列表
     * @param param
     * @return
     */
    List<BsMealTableOrder> getTableOrderList(Map<String,Object> param);

    /**
     * 支付成功
     * @param tradeOrder
     */
    void paySuccess(BsTradeOrder tradeOrder);

    /**
     * 操作订单产品
     * @param orderNo
     * @param productArray
     */
    void operateOrderProduct(String orderNo, JSONArray productArray);
}
